﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace TreeViewBindHierrarchy
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Tree.ItemsSource = GenerateTree();
        }

        private ObservableCollection<DataItem> GenerateTree()
        {
            ObservableCollection<DataItem> firstLevelItems = new ObservableCollection<DataItem>();
            for (int i = 0; i < 3; i++)
            {
                DataItem item = new DataItem() { Header = String.Format("Item {0}", i) };
                for (int j = 0; j < 3; j++)
                {
                    DataItem childItem = new DataItem() { Header = String.Format("Item {0}.{1}", i, j) };
                    for (int k = 0; k < 3; k++)
                    {
                        DataItem grandCHildItem = new DataItem() { Header = String.Format("Item {0}.{1}.{2}", i, j, k) };
                        childItem.Children.Add(grandCHildItem);
                    }
                    item.Children.Add(childItem);
                }
                firstLevelItems.Add(item);
            }
            return firstLevelItems;
        }


    }
}
